.ds {
    color: var(--color-text-primary);
    background-color: var(--color-bg-white);
}
.ds-top > p {
    margin-top: var(--spacing-sm);
}
.ds-frame {
    display: flex;
    overflow-wrap: anywhere;
}
.ds-frame-side {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    flex-shrink: 0;
    height: 100vh;
    overflow: hidden;
    overflow-y: auto;
}
.ds-frame-side.width-side-primary {
    width: var(--scale-60x);
    padding: var(--spacing-xs) 0;
    background-color: var(--color-gray-1400);
    color: var(--color-gray-100);
}
.ds-frame-side.width-side-secondary {
    width: var(--scale-40x);
}
.ds-side-menu {
    display: flex;
    flex-direction: column;
    padding: 0 var(--spacing-sm);
}
.ds-side-menu > li {
    position: relative;
    display: block;
}
.ds-side-menu > li[data-page-name]:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 90%;
    height: 100%;
    background: var(--color-gray-1400);
    border-radius: var(--radius-full);
    opacity: 0;
    transition: width 0.2s;
}
.ds-side-menu > li[data-page-name]:hover:before {
    width: 100%;
    background: var(--color-white);
    opacity: 0.04;
}
.ds-side-menu-title {
    display: block;
    padding: var(--spacing-sm) var(--spacing-lg);
    font: var(--text-label);
}
.ds-side-menu-link {
    position: relative;
    display: block;
    padding: var(--spacing-sm) var(--spacing-lg);
    color: var(--color-gray-100);
    font: var(--text-small);
    cursor: pointer;
}
.ds-side-menu-link:hover {
    color: var(--color-gray-100);
    text-decoration: none;
}
.ds-side-menu-link > .icon {
    margin-left: var(--spacing-sm);
    margin-right: var(--spacing-xxs);
}
.ds-side-menu > li.state-actived:before {
    width: 100%;
    background: var(--color-gray-1600);
    opacity: 1;
}
.ds-side-submenu {
    margin-top: var(--spacing-xl);
    padding: 0 var(--spacing-sm);
    border-left: 1px solid var(--color-border);
}
.ds-side-submenu ul {
    list-style: none;
    margin-top: var(--spacing-xs);
}
.ds-side-submenu li {
    margin-top: var(--spacing-xxs);
    font: var(--text-small);
}

.ds-frame-body {
	-webkit-box-flex: 1 1 auto;
	-webkit-flex: 1 1 auto;
	-moz-box-flex: 1 1 auto;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
    flex-shrink: 1;
    display: flex;
    min-width: 0;
}
.ds-frame-body-inner {
	-webkit-box-flex: 1 1 auto;
	-webkit-flex: 1 1 auto;
	-moz-box-flex: 1 1 auto;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
    flex-shrink: 1;
    max-width: 100%;
    padding: var(--spacing-xl) var(--spacing-xxl);
    min-width: 0;
}

.ds-section {
    margin-top: var(--spacing-xxl);
}
.ds-group {
    margin-top: var(--spacing-xl);
}
.ds-demo {
    margin-top: var(--spacing-lg);
    padding: var(--spacing-xl) var(--spacing-xxl);
    border-radius: var(--radius-xxl);
    border: 1px solid var(--color-border);
}
.ds-codes {
    position: relative;
}
.ds-codes pre[class*=language-] {
    margin: var(--spacing-md) 0 0 0;
    padding: 0 var(--spacing-xxl);
    border-radius: var(--radius-xxl);
}
.ds-codes-copy {
    position: absolute;
    top: 0;
    right: 0;
}

.ds-color-container {
    padding: var(--spacing-lg);
    border-radius: var(--radius-lg);
    background-color: var(--color-bg-white);
    color: var(--color-text-primary);
}
.ds-color-box {
    width: 80px;
    height: 40px;
    border-radius: var(--radius-sm);
}

/* DS example */
.ds-example-various {
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacing-sm);
    margin-bottom: var(--spacing-lg);
    width: 100%;
    min-width: 0;
}
.ds-example-frame {
    background: #eee;
    border: 1px solid var(--color-border);
    border-radius: var(--radius-xxl);
    overflow: hidden;
}
.ds-example-frame iframe {
    display: block;
    overflow: auto;
    margin: 0 auto;
    width: 100%;
    max-width: 100%;
    min-width: 375px;
    height: 400px;
    background: #fff;
}
.ds-example-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: calc(100vh - 48px);
    margin: 24px;
    background-color: var(--color-bg-white);
}
#ds-example {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    gap: var(--spacing-sm);
    min-width: 0;
}
.ds-example-control {
    display: flex;
    align-self: stretch;
    flex-shrink: 0;
    gap: 16px;
    padding: 16px;
    border-radius: 16px;
    background: #f2f2f2;
}
.ds-example-control > ul > li + li {
    margin-top: 12px;
}
@media screen and (max-width: 600px) {
    .ds-example-wrapper {
        flex-direction: column;
    }
    .ds-example-control {
        margin-top: 16px;
        width: 100%;
    }
    .ds-example-control > ul + ul {
        padding-left: 16px;
        border-left: 1px solid var(--color-border);
    }
}
@media screen and (min-width: 601px) {
    .ds-example-control {
        flex-direction: column;
        margin-left: 16px;
        width: 220px;
    }
    .ds-example-control > ul + ul {
        padding-top: 16px;
        border-top: 1px solid var(--color-border);
    }
}

/* switch */
.ds-screen-size {
    display: flex;
    align-items: center;
    margin-bottom: -1px;
    padding-right: var(--spacing-lg);
}
.ds-screen-size > .text-label {
    display: flex;
    flex-shrink: 0;
    align-items: center;
    padding: 0 var(--spacing-lg);
    min-height: var(--dim-form-sm);
}
.ds-example-frame iframe.ds-screen-responsive {
    width: 100%;
}
.ds-example-frame iframe.ds-screen-phone {
    width: var(--breakpoints-xs);
}
.ds-example-frame iframe.ds-screen-tablet {
    width: var(--breakpoints-md);
}
.ds-example-frame iframe.ds-screen-computer {
    width: var(--breakpoints-xl);
}
.ds-switch {
    display: flex;
    flex-wrap: wrap;
    flex: 1 1 auto;
    align-items: center;
    margin-left: -1px;
}
.ds-switch .button {
    flex: 1 1 auto;
    margin-left: -1px;
    border-radius: 0;
}
.ds-switch .button:last-child {
    /* border-top-right-radius: var(--radius-sm); */
    /* border-bottom-right-radius: var(--radius-full); */
}
.ds-switch .button:focus {
    z-index: 1;
}

/* DS icon */
.ds-icons {
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacing-md);
    margin-top: var(--spacing-lg);
}
.ds-icon {
    flex: 1 1 auto;
    width: 220px;
}
.ds-icon-inner {
    display: flex;
    gap: var(--spacing-xs);
}
.ds-icon .icon {
    font-size: 24px;
}


@media screen and (min-width: 1081px) {
    .ds-switch .button {
        flex: none;
    }
}